﻿
using System;
using MindFusion.Scheduling.Wpf;
using System.Windows;
using System.Windows.Media;
using System.Windows.Data;


namespace WpfApplication232
{
	public class CustomCellPresenter : CellPresenter
	{
		static CustomCellPresenter()
		{
			DefaultStyleKeyProperty.OverrideMetadata(typeof(CustomCellPresenter),
				new FrameworkPropertyMetadata(typeof(CustomCellPresenter)));
		}

		public CustomCellPresenter(Calendar calendar)
			: base(calendar)
		{
			SetBinding(CustomBackgroundProperty,
				new Binding("Background") { Source = this });
		}



		public Brush CustomBackground
		{
			get { return (Brush)GetValue(CustomBackgroundProperty); }
			set { SetValue(CustomBackgroundProperty, value); }
		}

		public static readonly DependencyProperty CustomBackgroundProperty =
			DependencyProperty.Register("CustomBackground", typeof(Brush), typeof(CustomCellPresenter), new PropertyMetadata(null));
	}
}
